=== modified file 'Makefile.am'
--- Makefile.am	2010-01-12 21:04:27 +0000
+++ Makefile.am	2010-01-26 00:57:12 +0000
@@ -42,7 +42,7 @@
 BUILT_SOURCES=		drizzled/configmake.h
 EXTRA_DIST=		config/config.rpath m4/gnulib-cache.m4 \
 			config/autorun.sh Doxyfile \
-			config/bzr_revinfo \
+			config/pandora_vc_revinfo \
 			extra/run_cpplint.sh  \
 			extra/cpplint.py \
 			extra/clean_source.sh \

=== modified file 'configure.ac'
--- configure.ac	2009-12-24 23:36:45 +0000
+++ configure.ac	2010-01-26 00:57:12 +0000
@@ -22,11 +22,9 @@
 dnl So don't update it here
 AC_INIT([drizzle],[7],[http://bugs.launchpad.net/drizzle])
 AC_CONFIG_SRCDIR([drizzled/drizzled.cc])
-AC_CONFIG_AUX_DIR(config)
-AC_CONFIG_HEADERS([config.h])
-AC_CONFIG_MACRO_DIR([m4])
+AC_CONFIG_AUX_DIR([config])
 
-PANDORA_CANONICAL_TARGET(less-warnings, warnings-always-on, use-gnulib, require-cxx, force-gcc42, skip-visibility, version-from-vc)
+PANDORA_CANONICAL_TARGET(less-warnings, warnings-always-on, require-cxx, force-gcc42, skip-visibility, version-from-vc)
 
 dnl Set the default datadir location to /usr/local/var/drizzle. If a
 dnl localstatedir is explicitly given, just use that.
@@ -39,12 +37,11 @@
       AC_MSG_ERROR("Drizzle requires gperf to build."))
 
 AC_CHECK_PROGS(YACC, ['bison -y'])
-AS_IF([test "x$YACC" = "x" -a "$ac_cv_building_from_bzr" = "yes"],[
+AS_IF([test "x$YACC" = "x" -a "$pandora_building_from_bzr" = "yes"],[
   AC_MSG_ERROR(["bison is required for Drizzle to build from a bzr branch"])
 ])
 
 
-PANDORA_WITH_GETTEXT
 PANDORA_RUN_CPPLINT
 
 PANDORA_REQUIRE_LIBPROTOBUF

=== modified file 'm4/pandora_canonical.m4'
--- m4/pandora_canonical.m4	2010-01-13 08:23:59 +0000
+++ m4/pandora_canonical.m4	2010-01-26 00:57:12 +0000
@@ -4,7 +4,7 @@
 dnl with or without modifications, as long as this notice is preserved.
 
 dnl Which version of the canonical setup we're using
-AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.95])
+AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.100])
 
 AC_DEFUN([PANDORA_FORCE_DEPEND_TRACKING],[
   AC_ARG_ENABLE([fat-binaries],
@@ -29,27 +29,16 @@
   ifdef([m4_define],,[define([m4_define],   defn([define]))])
   ifdef([m4_undefine],,[define([m4_undefine],   defn([undefine]))])
   m4_define([PCT_ALL_ARGS],[$*])
-  m4_define([PCT_USE_GNULIB],[no])
   m4_define([PCT_REQUIRE_CXX],[no])
-  m4_define([PCT_IGNORE_SHARED_PTR],[no])
   m4_define([PCT_FORCE_GCC42],[no])
-  m4_define([PCT_SRC_IN_SRC],[no])
   m4_define([PCT_VERSION_FROM_VC],[no])
   m4_define([PCT_USE_VISIBILITY],[yes])
   m4_foreach([pct_arg],[$*],[
     m4_case(pct_arg,
-      [use-gnulib], [
-        m4_undefine([PCT_USE_GNULIB])
-        m4_define([PCT_USE_GNULIB],[yes])
-      ],
       [require-cxx], [
         m4_undefine([PCT_REQUIRE_CXX])
         m4_define([PCT_REQUIRE_CXX],[yes])
       ],
-      [ignore-shared-ptr], [
-        m4_undefine([PCT_IGNORE_SHARED_PTR])
-        m4_define([PCT_IGNORE_SHARED_PTR],[yes])
-      ],
       [force-gcc42], [
         m4_undefine([PCT_FORCE_GCC42])
         m4_define([PCT_FORCE_GCC42],[yes])
@@ -58,16 +47,20 @@
         m4_undefine([PCT_USE_VISIBILITY])
         m4_define([PCT_USE_VISIBILITY],[no])
       ],
-      [src-in-src], [
-        m4_undefine([PCT_SRC_IN_SRC])
-        m4_define([PCT_SRC_IN_SRC],[yes])
-      ],
       [version-from-vc], [
         m4_undefine([PCT_VERSION_FROM_VC])
         m4_define([PCT_VERSION_FROM_VC],[yes])
     ])
   ])
 
+  AC_CONFIG_MACRO_DIR([m4])
+
+  m4_if(m4_esyscmd(test -d src && echo -n 0),0,[
+    AC_CONFIG_HEADERS([src/config.h])
+  ],[
+    AC_CONFIG_HEADERS([config.h])
+  ])
+
   # We need to prevent canonical target
   # from injecting -O2 into CFLAGS - but we won't modify anything if we have
   # set CFLAGS on the command line, since that should take ultimate precedence
@@ -81,7 +74,9 @@
   AM_INIT_AUTOMAKE(-Wall -Werror nostdinc subdir-objects foreign)
   m4_ifdef([AM_SILENT_RULES],[AM_SILENT_RULES([yes])])
 
-  m4_if(PCT_USE_GNULIB,yes,[ gl_EARLY ])
+  m4_if(m4_esyscmd(test -d gnulib && echo -n 0),0,[
+    gl_EARLY
+  ])
   
   AC_REQUIRE([AC_PROG_CC])
   AC_REQUIRE([PANDORA_MAC_GCC42])
@@ -118,14 +113,7 @@
 
   ])
   
-  PANDORA_SHARED_PTR
-  m4_if(PCT_IGNORE_SHARED_PTR, [no], [
-    AS_IF([test "$ac_cv_shared_ptr_namespace" = "missing"],[
-      AC_MSG_WARN([a usable shared_ptr implementation was not found. Let someone know what your platform is.])
-    ])
-  ])
-  
-  m4_if(PCT_USE_GNULIB, [yes], [
+  m4_if(m4_esyscmd(test -d gnulib && echo -n 0),0,[
     gl_INIT
     AC_CONFIG_LIBOBJ_DIR([gnulib])
   ])
@@ -221,21 +209,24 @@
   AC_CHECK_PROGS([DOXYGEN], [doxygen])
   AC_CHECK_PROGS([PERL], [perl])
 
+  PANDORA_WITH_GETTEXT
+
   AS_IF([test "x${gl_LIBOBJS}" != "x"],[
     AS_IF([test "$GCC" = "yes"],[
-      AM_CPPFLAGS="-isystem \$(top_srcdir)/gnulib -isystem \$(top_builddir)/gnulib ${AM_CPPFLAGS}"
+      AM_CPPFLAGS="-isystem \${top_srcdir}/gnulib -isystem \${top_builddir}/gnulib ${AM_CPPFLAGS}"
     ],[
-    AM_CPPFLAGS="-I\$(top_srcdir)/gnulib -I\$(top_builddir)/gnulib ${AM_CPPFLAGS}"
+    AM_CPPFLAGS="-I\${top_srcdir}/gnulib -I\${top_builddir}/gnulib ${AM_CPPFLAGS}"
     ])
   ])
-  AS_IF([test "PCT_SRC_IN_SRC" = "yes"],[
+  m4_if(m4_esyscmd(test -d src && echo -n 0),0,[
     AM_CPPFLAGS="-I\$(top_srcdir)/src -I\$(top_builddir)/src ${AM_CPPFLAGS}"
+  ],[
+    AM_CPPFLAGS="-I\$(top_srcdir) -I\$(top_builddir) ${AM_CPPFLAGS}"
   ])
 
   PANDORA_USE_PIPE
 
 
-  AM_CPPFLAGS="-I\${top_srcdir} -I\${top_builddir} ${AM_CPPFLAGS}"
   AM_CFLAGS="${AM_CFLAGS} ${CC_WARNINGS} ${CC_PROFILING} ${CC_COVERAGE}"
   AM_CXXFLAGS="${AM_CXXFLAGS} ${CXX_WARNINGS} ${CC_PROFILING} ${CC_COVERAGE}"
 

=== modified file 'm4/pandora_have_libmemcached.m4'
--- m4/pandora_have_libmemcached.m4	2010-01-13 08:23:59 +0000
+++ m4/pandora_have_libmemcached.m4	2010-01-26 00:57:12 +0000
@@ -32,6 +32,7 @@
     ])
   ],[
     ac_cv_libmemcached="no"
+    ac_cv_libmemcachedprotocol="no"
   ])
   
   AC_CACHE_CHECK([if libmemcached has memcached_server_fn],
@@ -60,3 +61,8 @@
       AC_MSG_ERROR([libmemcached is required for ${PACKAGE}]))
 ])
 
+AC_DEFUN([PANDORA_REQUIRE_LIBMEMCACHEDPROTOCOL],[
+  AC_REQUIRE([PANDORA_HAVE_LIBMEMCACHED])
+  AS_IF([test x$ac_cv_libmemcachedprotocol = xno],
+      AC_MSG_ERROR([libmemcachedprotocol is required for ${PACKAGE}]))
+])

=== added file 'm4/pandora_have_libmysqlclient.m4'
--- m4/pandora_have_libmysqlclient.m4	1970-01-01 00:00:00 +0000
+++ m4/pandora_have_libmysqlclient.m4	2010-01-26 00:57:12 +0000
@@ -0,0 +1,146 @@
+dnl -*- mode: m4; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+dnl vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+dnl
+dnl  Copyright (C) 2010 Monty Taylor
+dnl  This file is free software; Sun Microsystems
+dnl  gives unlimited permission to copy and/or distribute it,
+dnl  with or without modifications, as long as this notice is preserved.
+dnl
+
+AC_DEFUN([PANDORA_WITH_MYSQL],[
+  AC_ARG_WITH([mysql],
+    [AS_HELP_STRING([--with-mysql=PATH],
+        [path to mysql_config binary or mysql prefix dir])], 
+      [with_mysql=$withval],
+      [with_mysql=":"])
+
+  dnl There are three possibilities:
+  dnl   1) nothing is given: we will search for mysql_config in PATH
+  dnl   2) the location of mysql_config is given: we'll use that to determine
+  dnl   3) a directory argument is given: that will be mysql_base
+
+     
+  dnl option 1: nothing, we need to insert something into MYSQL_CONFIG
+  AS_IF([test "x$with_mysql" = "x:"],[
+    AC_CHECK_PROGS(MYSQL_CONFIG,[mysql_config])
+  ],[
+    MYSQL_CONFIG="${with_mysql}"
+  ])
+
+  AC_CACHE_CHECK([for MySQL Base Location],[pandora_cv_mysql_base],[
+
+    dnl option 2: something in MYSQL_CONFIG now, use that to get a base dir
+    AS_IF([test -f "${MYSQL_CONFIG}" -a -x "${MYSQL_CONFIG}"],[
+      pandora_cv_mysql_base=$(dirname $(MYSQL_CONFIG --include | sed 's/-I//'))
+    ],[
+      dnl option 1: a directory
+      AS_IF([test -d $with_mysql],[pandora_cv_mysql_base=$with_mysql],[
+        pandora_cv_mysql_base="not found"
+      ])
+    ])
+  ])
+])
+
+AC_DEFUN([_PANDORA_SEARCH_LIBMYSQLCLIENT],[
+  AC_REQUIRE([AC_LIB_PREFIX])
+
+  AC_ARG_ENABLE([libmysqlclient],
+    [AS_HELP_STRING([--disable-libmysqlclient],
+      [Build with libmysqlclient support @<:@default=on@:>@])],
+    [ac_enable_libmysqlclient="$enableval"],
+    [ac_enable_libmysqlclient="yes"])
+
+  AS_IF([test "x$ac_enable_libmysqlclient" = "xyes"],[
+    AC_LIB_HAVE_LINKFLAGS(mysqlclient_r,,[
+#include <mysql/mysql.h>
+    ],[
+MYSQL mysql;
+  ])],[
+    ac_cv_libmysqlclient_r="no"
+  ])
+
+  AM_CONDITIONAL(HAVE_LIBMYSQLCLIENT, [test "x${ac_cv_libmysqlclient_r}" = "xyes"])
+  
+AC_DEFUN([PANDORA_HAVE_LIBMYSQLCLIENT],[
+  AC_REQUIRE([_PANDORA_SEARCH_LIBMYSQLCLIENT])
+])
+
+AC_DEFUN([PANDORA_REQUIRE_LIBMYSQLCLIENT],[
+  AC_REQUIRE([PANDORA_HAVE_LIBMYSQLCLIENT])
+  AS_IF([test "x${ac_cv_libmysqlclient_r}" = "xno"],
+      AC_MSG_ERROR([libmysqlclient_r is required for ${PACKAGE}]))
+])
+
+  AS_IF([test "x$MYSQL_CONFIG" = "xISDIR"],[
+    IBASE="-I${with_mysql}"
+    MYSQL_CONFIG="${with_mysql}/scripts/mysql_config"
+    ADDIFLAGS="$IBASE/include "
+    ADDIFLAGS="$ADDIFLAGS $IBASE/storage/ndb/include/ndbapi "
+    ADDIFLAGS="$ADDIFLAGS $IBASE/storage/ndb/include/mgmapi "
+    ADDIFLAGS="$ADDIFLAGS $IBASE/storage/ndb/include "
+    LDFLAGS="-L${with_mysql}/storage/ndb/src/.libs -L${with_mysql}/libmysql_r/.libs/ -L${with_mysql}/mysys/.libs -L${with_mysql}/mysys -L${with_mysql}/strings/.libs -L${with_mysql}/strings "
+  ],[
+    IBASE=`$MYSQL_CONFIG --include`
+    ADDIFLAGS=""
+    # add regular MySQL C flags
+    ADDCFLAGS=`$MYSQL_CONFIG --cflags` 
+    # add NdbAPI specific C flags
+    LDFLAGS="$LDFLAGS "`$MYSQL_CONFIG --libs_r | sed 's/-lmysqlclient_r//'`
+    ])
+
+
+    ADDIFLAGS="$ADDIFLAGS $IBASE/storage/ndb"
+    ADDIFLAGS="$ADDIFLAGS $IBASE/storage/ndb/ndbapi"
+    ADDIFLAGS="$ADDIFLAGS $IBASE/storage/ndb/mgmapi"
+    ADDIFLAGS="$ADDIFLAGS $IBASE/ndb"
+    ADDIFLAGS="$ADDIFLAGS $IBASE/ndb/ndbapi"
+    ADDIFLAGS="$ADDIFLAGS $IBASE/ndb/mgmapi"
+    ADDIFLAGS="$ADDIFLAGS $IBASE"
+
+    CFLAGS="$CFLAGS $ADDCFLAGS $ADDIFLAGS"    
+    CXXFLAGS="$CXXFLAGS $ADDCFLAGS $ADDIFLAGS" 
+    MYSQL_INCLUDES="$IBASE $ADDIFLAGS"   
+
+    
+    dnl AC_CHECK_LIB([mysqlclient_r],[safe_mutex_init],,[AC_MSG_ERROR([Can't link against libmysqlclient_r])])
+    dnl First test to see if we can run with only ndbclient
+    AC_CHECK_LIB([ndbclient],[decimal_bin_size],,[dnl else
+      LDFLAGS="$LDFLAGS -lmysys -ldbug"
+      AC_CHECK_LIB([mysqlclient_r],[safe_mutex_init],,)
+      AC_CHECK_LIB([ndbclient],[ndb_init],,[
+        AC_MSG_ERROR([Can't link against libndbclient])])
+      AC_CHECK_LIB([mystrings],[decimal_bin_size],,[
+          AC_MSG_ERROR([Can't find decimal_bin_size])])])
+    AC_MSG_CHECKING(for NdbApi headers)
+     AC_LINK_IFELSE([AC_LANG_PROGRAM([[#include <NdbApi.hpp>]], [[int attr=NdbTransaction::Commit; ]])],[ndbapi_found="yes"],[])
+    AS_IF([test "$ndbapi_found" = "yes"], 
+       [AC_MSG_RESULT(found)],
+       [AC_MSG_ERROR([Couldn't find NdbApi.hpp!])])
+    AC_MSG_CHECKING(for NDB_LE_ThreadConfigLoop)
+      AC_LINK_IFELSE([AC_LANG_PROGRAM([[#include <mgmapi.h>]], [[int attr=NDB_LE_ThreadConfigLoop; ]])],[have_cge63="yes"],[])
+      AS_IF([test "$have_cge63" = "yes"],
+        [AC_MSG_RESULT(found)
+         HAVE_CGE63="-DCGE63"
+         AC_SUBST(HAVE_CGE63)],
+        [AC_MSG_RESULT(missing)])
+
+    LDFLAGS="$LDFLAGS $LIBS"
+  
+
+    MYSQL_MAJOR_VERSION=`$MYSQL_CONFIG --version | sed -e 's/\.//g' -e 's/-//g' -e 's/[A-Za-z]//g' | cut -c1-2`
+
+    case "$MYSQL_MAJOR_VERSION" in 
+      50) AC_DEFINE(MYSQL_50, [1], [mysql5.0])
+	;;
+      51) AC_DEFINE(MYSQL_51, [1], [mysql5.1])
+        ;;
+      *) echo "Unsupported version of MySQL Detected!"
+        ;;
+     esac
+    
+    AC_SUBST(MYSQL_MAJOR_VERSION)
+    AC_SUBST(MYSQL_CONFIG)
+    
+  
+])
+

=== added file 'm4/pandora_have_libndbclient.m4'
--- m4/pandora_have_libndbclient.m4	1970-01-01 00:00:00 +0000
+++ m4/pandora_have_libndbclient.m4	2010-01-26 00:57:12 +0000
@@ -0,0 +1,80 @@
+dnl -*- mode: m4; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+dnl vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+dnl
+dnl  Copyright (C) 2010 Monty Taylor
+dnl  This file is free software; Sun Microsystems
+dnl  gives unlimited permission to copy and/or distribute it,
+dnl  with or without modifications, as long as this notice is preserved.
+dnl
+
+AC_DEFUN([_PANDORA_SEARCH_LIBNDBCLIENT],[
+
+  AC_REQUIRE([AC_LIB_PREFIX])
+  AC_REQUIRE([PANDORA_WITH_MYSQL])
+
+  AC_ARG_ENABLE([libndbclient],
+    [AS_HELP_STRING([--disable-libndbclient],
+      [Build with libndbclient support @<:@default=on@:>@])],
+    [ac_enable_libndbclient="$enableval"],
+    [ac_enable_libndbclient="yes"])
+
+  AC_ARG_WITH([libndbclient-prefix],
+    [AS_HELP_STRING([--with-libndbclient-prefix],
+      [search for libndbclient in DIR])],
+    [ac_with_libndbclient=${withval}],
+    [ac_with_libndbclient=${pandora_cv_mysql_base}])
+
+  save_LIBS="${LIBS}"
+  LIBS=""
+  save_CPPFLAGS="${CPPFLAGS}"
+  AS_IF([test "x${ac_with_libndbclient}" != "x"],[
+    LIBS="-L${ac_with_libndbclient}/lib/mysql -L${ac_with_libndbclient}/lib"
+    AS_IF([test "$GCC" = "yes"],[
+      ndb_include_prefix="-isystem "
+    ],[
+      ndb_include_prefix="-I"
+    ])
+    CPPFLAGS="${CPPFLAGS} ${ndb_include_prefix}${ac_with_libndbclient}/include ${ndb_include_prefix}${ac_with_libndbclient}/include/mysql ${ndb_include_prefix}${ac_with_libndbclient}/include/mysql/storage/ndb ${ndb_include_prefix}${ac_with_libndbclient}/include/mysql/storage/ndb/ndbapi ${ndb_include_prefix}${ac_with_libndbclient}/include/mysql/storage/ndb/mgmapi"
+  ])
+  LIBS="${LIBS} -lndbclient -lmysqlclient_r"
+
+  AC_CACHE_CHECK([if NdbApi works],[ac_cv_libndbclient],[
+    AC_LANG_PUSH(C++)
+    AC_LINK_IFELSE([
+      AC_LANG_PROGRAM([[
+#include <NdbApi.hpp>
+      ]],[[
+Ndb *ndb;
+ndb_init();
+      ]])
+    ],[
+      ac_cv_libndbclient=yes
+    ],[
+      ac_cv_libndbclient=no
+    ])
+  ])
+  AC_LANG_POP()
+
+  LIBNDBCLIENT="${LIBS}"
+  LTLIBNDBCLIENT="${LIBS}"
+  AC_SUBST([LIBNDBCLIENT])
+  AC_SUBST([LTLIBNDBCLIENT])
+
+  AS_IF([test "x${ac_cv_libndbclient}" = "xno"],[
+    CPPFLAGS="${save_CPPFLAGS}"
+  ])    
+  LIBS="${save_LIBS}"
+  
+  AM_CONDITIONAL(HAVE_LIBNDBCLIENT, [test "x${ac_cv_libndbclient}" = "xyes"])
+])
+  
+AC_DEFUN([PANDORA_HAVE_LIBNDBCLIENT],[
+  AC_REQUIRE([_PANDORA_SEARCH_LIBNDBCLIENT])
+])
+
+AC_DEFUN([PANDORA_REQUIRE_LIBNDBCLIENT],[
+  AC_REQUIRE([PANDORA_HAVE_LIBNDBCLIENT])
+  AS_IF([test "x${ac_cv_libndbclient}" = "xno"],
+      AC_MSG_ERROR([libndbclient is required for ${PACKAGE}]))
+])
+

=== modified file 'm4/pandora_vc_build.m4'
--- m4/pandora_vc_build.m4	2009-11-10 20:47:10 +0000
+++ m4/pandora_vc_build.m4	2010-01-26 00:57:12 +0000
@@ -3,57 +3,77 @@
 dnl gives unlimited permission to copy and/or distribute it,
 dnl with or without modifications, as long as this notice is preserved.
 
+AC_DEFUN([_PANDORA_BUILDING_FROM_VC],[
+  pandora_building_from_vc=no
+
+  if test -d ".bzr" ; then
+    pandora_building_from_bzr=yes
+    pandora_building_from_vc=yes
+  else
+    pandora_building_from_bzr=no
+  fi
+
+  if test -d ".svn" ; then
+    pandora_building_from_svn=yes
+    pandora_building_from_vc=yes
+  else
+    pandora_building_from_svn=no
+  fi
+
+  if test -d ".hg" ; then
+    pandora_building_from_hg=yes
+    pandora_building_from_vc=yes
+  else
+    pandora_building_from_hg=no
+  fi
+
+  if test -d ".git" ; then
+    pandora_building_from_git=yes
+    pandora_building_from_vc=yes
+  else
+    pandora_building_from_git=no
+  fi
+])
+
 AC_DEFUN([PANDORA_BUILDING_FROM_VC],[
-
-  ac_cv_building_from_vc=no
-
-  AS_IF([test -d "${srcdir}/.bzr"],[
-    ac_cv_building_from_bzr=yes
-    ac_cv_building_from_vc=yes
-    ],[
-    ac_cv_building_from_bzr=no
-  ])
-
-  AS_IF([test -d "${srcdir}/.svn"],[
-    ac_cv_building_from_svn=yes
-    ac_cv_building_from_vc=yes
-    ],[
-    ac_cv_building_from_svn=no
-  ])
-
-  AS_IF([test -d "${srcdir}/.hg"],[
-    ac_cv_building_from_hg=yes
-    ac_cv_building_from_vc=yes
-    ],[
-    ac_cv_building_from_hg=no
-  ])
-
-  AS_IF([test -d "${srcdir}/.git"],[
-    ac_cv_building_from_git=yes
-    ac_cv_building_from_vc=yes
-    ],[
-    ac_cv_building_from_git=no
-  ])
-
-
+  m4_syscmd(_PANDORA_BUILDING_FROM_VC [
+
+    PANDORA_RELEASE_DATE=`date +%Y.%m`
+    PANDORA_RELEASE_NODOTS_DATE=`date +%Y%m`
+
+    # Set some defaults
+    PANDORA_VC_REVNO="0"
+    PANDORA_VC_REVID="unknown"
+    PANDORA_VC_BRANCH="bzr-export"
+
+    if test "${pandora_building_from_bzr}" = "yes"; then
+      echo "# Grabbing changelog and version information from bzr"
+      PANDORA_BZR_REVNO=`bzr revno`
+      if test "x$PANDORA_BZR_REVNO" != "x${PANDORA_VC_REVNO}" ; then
+        PANDORA_VC_REVNO="${PANDORA_BZR_REVNO}"
+        PANDORA_VC_REVID=`bzr log -r-1 --show-ids | grep revision-id | cut -f2 -d' ' | head -1`
+        PANDORA_VC_BRANCH=`bzr nick`
+      fi
+    fi
+
+    if ! test -d config ; then
+      mkdir -p config
+    fi
+
+    cat > config/pandora_vc_revinfo.tmp <<EOF
+PANDORA_VC_REVNO=${PANDORA_VC_REVNO}
+PANDORA_VC_REVID=${PANDORA_VC_REVID}
+PANDORA_VC_BRANCH=${PANDORA_VC_BRANCH}
+PANDORA_RELEASE_DATE=${PANDORA_RELEASE_DATE}
+PANDORA_RELEASE_NODOTS_DATE=${PANDORA_RELEASE_NODOTS_DATE}
+EOF
+    if ! diff config/pandora_vc_revinfo.tmp config/pandora_vc_revinfo >/dev/null 2>&1 ; then
+      mv config/pandora_vc_revinfo.tmp config/pandora_vc_revinfo
+    fi
+    rm -f config/pandora_vc_revinfo.tmp
+  ])
 ])
   
-dnl Takes one argument which is the prefix to append
-AC_DEFUN([PANDORA_EXPORT_BZR_INFO],[
-  m4_ifval(m4_normalize([$1]),[
-    m4_define([PEBI_PREFIX],[])
-  ],[
-    m4_define([PEBI_PREFIX],m4_toupper(m4_normalize($1))[_])
-  ])
-
-  AC_DEFINE(PEBI_PREFIX[BZR_REVID], ["BZR_REVID"], [bzr revision ID])
-  AC_DEFINE(PEBI_PREFIX[BZR_BRANCH], ["BZR_BRANCH"], [bzr branch name])
-  AC_DEFINE(PEBI_PREFIX[RELEASE_DATE], ["RELEASE_DATE"], [Release date based on the date of the repo checkout])
-  AC_DEFINE(PEBI_PREFIX[RELEASE_VERSION], ["RELEASE_VERSION"], [$1 version number formatted for display])
-  AC_DEFINE(PEBI_PREFIX[RELEASE_COMMENT], ["RELEASE_COMMENT"], [Set to trunk if the branch is the main $1 branch])
-  AC_DEFINE(PEBI_PREFIX[RELEASE_ID], [RELEASE_ID], [$1 version number formatted for numerical comparison])
-])
-
 AC_DEFUN([_PANDORA_READ_FROM_FILE],[
   $1=`grep $1 $2 | cut -f2 -d=`
 ])
@@ -61,50 +81,23 @@
 AC_DEFUN([PANDORA_VC_VERSION],[
   AC_REQUIRE([PANDORA_BUILDING_FROM_VC])
 
-  PANDORA_RELEASE_DATE=`date +%Y.%m`
-  PANDORA_RELEASE_NODOTS_DATE=`date +%Y%m`
-
-  dnl Set some defaults
-  PANDORA_VC_REVNO="0"
-  PANDORA_VC_REVID="unknown"
-  PANDORA_VC_BRANCH="bzr-export"
-
-  AS_IF([test -f ${srcdir}/config/bzr_revinfo],[
-    _PANDORA_READ_FROM_FILE([PANDORA_VC_REVNO],${srcdir}/config/bzr_revinfo)
-    _PANDORA_READ_FROM_FILE([PANDORA_VC_REVID],${srcdir}/config/bzr_revinfo)
+  _PANDORA_BUILDING_FROM_VC
+
+  AS_IF([test -f ${srcdir}/config/pandora_vc_revinfo],[
+    _PANDORA_READ_FROM_FILE([PANDORA_VC_REVNO],${srcdir}/config/pandora_vc_revinfo)
+    _PANDORA_READ_FROM_FILE([PANDORA_VC_REVID],${srcdir}/config/pandora_vc_revinfo)
     _PANDORA_READ_FROM_FILE([PANDORA_VC_BRANCH],
-                            ${srcdir}/config/bzr_revinfo)
+                            ${srcdir}/config/pandora_vc_revinfo)
     _PANDORA_READ_FROM_FILE([PANDORA_RELEASE_DATE],
-                            ${srcdir}/config/bzr_revinfo)
+                            ${srcdir}/config/pandora_vc_revinfo)
     _PANDORA_READ_FROM_FILE([PANDORA_RELEASE_NODOTS_DATE],
-                            ${srcdir}/config/bzr_revinfo)
-    _PANDORA_READ_FROM_FILE([PANDORA_RELEASE_COMMENT],
-                            ${srcdir}/config/bzr_revinfo)
-  ])
-  AS_IF([test "${ac_cv_building_from_bzr}" = "yes"],[
-dnl  echo "Grabbing changelog and version information from bzr"
-dnl  bzr log --short > ChangeLog || touch ChangeLog
-    PANDORA_BZR_REVNO=`bzr revno`
-    AS_IF([test "x$PANDORA_BZR_REVNO" != "${PANDORA_VC_REVNO}"],[
-      PANDORA_VC_REVNO="${PANDORA_BZR_REVNO}"
-      PANDORA_VC_REVID=`bzr log -r-1 --show-ids | grep revision-id | awk '{print $[]2}' | head -1`
-      PANDORA_VC_BRANCH=`bzr nick`
-      AS_IF([test "x${PANDORA_VC_BRANCH}" != "${PACKAGE}"],[
-        PANDORA_RELEASE_COMMENT="${PANDORA_VC_BRANCH}"
-      ],[
-        PANDORA_RELEASE_COMMENT="trunk"
-      ])
-    ])
-  ])
-  AS_IF([! test -d config],[mkdir -p config])
-  cat > "config/bzr_revinfo" <<EOF
-PANDORA_VC_REVNO=${PANDORA_VC_REVNO}
-PANDORA_VC_REVID=${PANDORA_VC_REVID}
-PANDORA_VC_BRANCH=${PANDORA_VC_BRANCH}
-PANDORA_RELEASE_DATE=${PANDORA_RELEASE_DATE}
-PANDORA_RELEASE_NODOTS_DATE=${PANDORA_RELEASE_NODOTS_DATE}
-PANDORA_RELEASE_COMMENT=${PANDORA_RELEASE_COMMENT}
-EOF
+                            ${srcdir}/config/pandora_vc_revinfo)
+  ])
+  AS_IF([test "x${PANDORA_VC_BRANCH}" != x"${PACKAGE}"],[
+    PANDORA_RELEASE_COMMENT="${PANDORA_VC_BRANCH}"
+  ],[
+    PANDORA_RELEASE_COMMENT="trunk"
+  ])
     
   PANDORA_RELEASE_VERSION="${PANDORA_RELEASE_DATE}.${PANDORA_VC_REVNO}"
   PANDORA_RELEASE_ID="${PANDORA_RELEASE_NODOTS_DATE}${PANDORA_VC_REVNO}"
@@ -121,3 +114,17 @@
   AC_SUBST(PANDORA_RELEASE_VERSION)
   AC_SUBST(PANDORA_RELEASE_ID)
 ])
+
+AC_DEFUN([PANDORA_VC_INFO_HEADER],[
+  AC_REQUIRE([PANDORA_VC_VERSION])
+  m4_define([PANDORA_VC_PREFIX],m4_toupper(m4_normalize(AC_PACKAGE_NAME))[_])
+
+  AC_DEFINE_UNQUOTED(PANDORA_VC_PREFIX[VC_REVNO], [$PANDORA_VC_REVNO], [Version control revision number])
+  AC_DEFINE_UNQUOTED(PANDORA_VC_PREFIX[VC_REVID], ["$PANDORA_VC_REVID"], [Version control revision ID])
+  AC_DEFINE_UNQUOTED(PANDORA_VC_PREFIX[VC_BRANCH], ["$PANDORA_VC_BRANCH"], [Version control branch name])
+  AC_DEFINE_UNQUOTED(PANDORA_VC_PREFIX[RELEASE_DATE], ["$PANDORA_RELEASE_DATE"], [Release date of version control checkout])
+  AC_DEFINE_UNQUOTED(PANDORA_VC_PREFIX[RELEASE_NODOTS_DATE], [$PANDORA_RELEASE_NODOTS_DATE], [Numeric formatted release date of checkout])
+  AC_DEFINE_UNQUOTED(PANDORA_VC_PREFIX[RELEASE_COMMENT], ["$PANDORA_RELEASE_COMMENT"], [Set to trunk if the branch is the main $PACKAGE branch])
+  AC_DEFINE_UNQUOTED(PANDORA_VC_PREFIX[RELEASE_VERSION], ["$PANDORA_RELEASE_VERSION"], [Release date and revision number of checkout])
+  AC_DEFINE_UNQUOTED(PANDORA_VC_PREFIX[RELEASE_ID], [$PANDORA_RELEASE_ID], [Numeric formatted release date and revision number of checkout])
+])

=== modified file 'm4/pandora_warnings.m4'
--- m4/pandora_warnings.m4	2010-01-01 20:10:49 +0000
+++ m4/pandora_warnings.m4	2010-01-26 00:57:12 +0000
@@ -30,7 +30,7 @@
   AC_REQUIRE([PANDORA_BUILDING_FROM_VC])
   m4_if(PW_WARN_ALWAYS_ON, [yes],
     [ac_cv_warnings_as_errors=yes],
-    AS_IF([test "$ac_cv_building_from_vc" = "yes"],
+    AS_IF([test "$pandora_building_from_vc" = "yes"],
           [ac_cv_warnings_as_errors=yes],
           [ac_cv_warnings_as_errors=no]))
 

=== modified file 'm4/pandora_with_gettext.m4'
--- m4/pandora_with_gettext.m4	2009-11-11 04:40:26 +0000
+++ m4/pandora_with_gettext.m4	2010-01-26 00:57:12 +0000
@@ -11,10 +11,11 @@
 
 AC_DEFUN([PANDORA_WITH_GETTEXT],[
 
+  
   m4_syscmd([if test -d po ; then
     echo "# This file is auto-generated from configure. Do not edit directly" > po/POTFILES.in.stamp
-    PACKAGE=`grep ^AC_INIT configure.ac | cut -f2-3 -d[ | cut -f1 -d]`
-    for f in `find . | grep -v "${PACKAGE}-" | egrep '\.(cc|c|h|yy)$' | cut -c3- | sort`
+    PACKAGE=$(grep ^AC_INIT configure.ac | cut -f2-3 -d[ | cut -f1 -d])
+    for f in $(find . | grep -v "${PACKAGE}-" | egrep '\.(cc|c|h|yy)$' | cut -c3- | sort)
     do
       if grep gettext.h "$f" | grep include >/dev/null 2>&1
       then
@@ -29,13 +30,15 @@
     fi
   fi])
 
-  AM_GNU_GETTEXT(external, need-formatstring-macros)
-  AM_GNU_GETTEXT_VERSION([0.17])
-  AS_IF([test "x$MSGMERGE" = "x" -o "x$MSGMERGE" = "x:"],[
-    AM_PATH_PROG_WITH_TEST(GMSGMERGE, gmsgmerge,
-      [$ac_dir/$ac_word --update -q /dev/null /dev/null >&]AS_MESSAGE_LOG_FD[ 2>&1], :)
-    MSGMERGE="${GMSGMERGE}"
+  m4_if(m4_esyscmd(test -d po && echo -n 0), 0, [
+    AM_GNU_GETTEXT(external, need-formatstring-macros)
+    AM_GNU_GETTEXT_VERSION([0.17])
+    AS_IF([test "x$MSGMERGE" = "x" -o "x$MSGMERGE" = "x:"],[
+      AM_PATH_PROG_WITH_TEST([GMSGMERGE], gmsgmerge,
+        [$ac_dir/$ac_word --update -q /dev/null /dev/null >&]AS_MESSAGE_LOG_FD[ 2>&1], :)
+      MSGMERGE="${GMSGMERGE}"
+    ])
+    AM_CONDITIONAL([BUILD_GETTEXT],[test "x$MSGMERGE" != "x" -a "x$MSGMERGE" != "x:"])
   ])
-  AM_CONDITIONAL([BUILD_GETTEXT],[test "x$MSGMERGE" != "x" -a "x$MSGMERGE" != "x:"])
 
 ])

